<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedecoop.html">decoop</a></li><li class="navelem"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">PlantbusSubproblemL1</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">decoop::PlantbusSubproblemL1 Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ae4531793f2eec41039c4be4905eec28e">ComputeFeasDistance</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a590527bb3ccf8a97aeb320c1d54b5dd5">ComputeFeasSol</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ab15d67a0a1a85ef286644e6a29d0b1cf">ComputeFeasSol</a>(const unsigned key) const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#abc8fb896970fdcf7b656bbb29dcff49e">constraints_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ab21709857572f155cb0a25abbbaa354e">coupling_equation_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a99b120c226955c114d1185d36b688f90">coupling_equation_name_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a98c6106ebbbb2c77cb35b06125236bb9">equations_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a2573240404d563487c1f25829b3b4eb9">GenerateAndVerifyCut</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a2d937ee5b1256ebfff0f5a79f792d98c">get_plant_load</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a973d94c4cd81963a10dd736488044d16">get_pow_sugg</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a5cb28e40dc33f9a1e84c4ef4def157b3">get_pow_sugg</a>(const unsigned i) const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a463a29b7d2cf7b121cb9b5c69992cb98">GetCurrLhs</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ac4ddb1eaeeb0a48bcd5a06c36586efe5">GetModel</a>()</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ac4b94c28d900106779deb55571355bcc">GetModelStatus</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a6e9aa900dfe5f0882030abd72a7a7f7a">GetNewCoeff</a>(const unsigned key) const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a86935d2f7bdf0caf1f0d1b9ee6ccb7df">GetNewCoeffs</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a91ffead887f3d8961ca6d787b93168d9">GetNewRhs</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a338929b552e8af9a7612f3bb4ae12a32">GetNSlackValues</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ab8a27c2b34a6bef9695e76b42c6a62f3">GetPSlackValues</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a148da0d8b1e81458343ad5e95b38ecec">GetSubproblemObjective</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ab119d790de2b3b817927acfa1d2e314e">InitObject</a>()</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ab46930555472c4d857991655324ccb65">model_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a2bc98f8ace120aa946f6fde01ca31a03">model_vars_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ae2ec2c96547283c1752defa3e52633bd">n_slack_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ab3b35f0a6fea154a107e94af1636a656">num_timesteps_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#af6cd150f833e021a84629a8e076abc85">options_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a6e9d84692dcec80f37e39dc5ca5fcb5b">p_slack_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a83a18d62c3ee10bbb65ea93797242b29">plant_load_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a5f8dfc0bca82b1f5aae9b854f2608578">PlantbusSubproblemL1</a>(const GRBEnv &amp;env, const std::string &amp;option_path, const double plant_load, const unsigned num_timesteps)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a0ce86dc580bf5272c19c827666e0d8db">pow_sugg_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#ae1a79636eb368c63b73ce3d5e5d7b478">rhs_num_records_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#aad54229e7d85a7a6cb8cf2eeb56a169a">set_pow_sugg</a>(const std::vector&lt; double &gt; &amp;in)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a4c1012cde8398a015a1527af62a8c6b6">set_pow_sugg</a>(const unsigned key, const double val)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a6de9f886669346f05746dd6b22e768f1">Solve</a>()</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html#a26dd14ef78bb1a3c7bc9fe722fef0f58">variables_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html">decoop::PlantbusSubproblemL1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
